#ifndef _GLOBAL_INCLUDED_
#define _GLOBAL_INCLUDED_
/*
 *  global.h
 *  Zde jsou ulozene globalni promenne, 
 *  ktere se muzou pouzivat v celem tele kernelu.
 *  Pokud zde nejsou definovane, jsou _zakomentovane_
 *  a je k nim pripsano, kde je jejich deklarace/definice  
 */

#include <types.h>

/* TEXT_COL, globalni promenna urcujici barvu textu */
byte TEXT_COL = 0x07;

unsigned int RootDirSect = 0;
unsigned int FATSectors  = 0;
unsigned int DataStart   = 0;
unsigned int StartSector = 0;       /* kde zacinaji data */

unsigned char *fat;

char *pc_name     = "altair";       /* jmeno PC */
char *user_name   = "os";           /* uzivatelske jmeno */
char *path        = "/";            /* cesta */

int  dir_ptr      = 20;             /* 0x2600/512+1, zde zacina root dir :) */

/*BootRecord *mbr; */               /* definovan ve fat.h */

#endif
